$.jqplot.LineRenderer

The default line renderer for jqPlot, this class has no options beyond the Series class. Draws series as a line.

Summary

$.jqplot.LineRenderer | The default line renderer for jqPlot, this class has no options beyond the Series class.
Properties |
highlightMouseOver | True to highlight area on a filled plot when moused over.
highlightMouseDown | True to highlight when a mouse button is pressed over an area on a filled plot.
highlightColor | color to use when highlighting an area on a filled plot.
Functions |
setGridData | converts the user data values to grid coordinates and stores them in the gridData array.
makeGridData | converts any arbitrary data values to grid coordinates and returns them.

### Properties

### highlightMouseOver

> this.highlightMouseOver = true

True to highlight area on a filled plot when moused over. This must be false to enable highlightMouseDown to highlight when clicking on an area on a filled plot.

### highlightMouseDown

> this.highlightMouseDown = false

True to highlight when a mouse button is pressed over an area on a filled plot. This will be disabled if highlightMouseOver is true.

### highlightColor

> this.highlightColor = null

color to use when highlighting an area on a filled plot.

### Functions

### setGridData

> $.jqplot.LineRenderer.prototype.setGridData = function( | plot | )

converts the user data values to grid coordinates and stores them in the gridData array. Called with scope of a series.

### makeGridData

> $.jqplot.LineRenderer.prototype.makeGridData = function( | data,
> | plot | )

converts any arbitrary data values to grid coordinates and returns them. This method exists so that plugins can use a series’ linerenderer to generate grid data points without overwriting the grid data associated with that series. Called with scope of a series.

An individual data series object.

> this.highlightMouseOver = true

True to highlight area on a filled plot when moused over.

> this.highlightMouseDown = false

True to highlight when a mouse button is pressed over an area on a filled plot.

> this.highlightColor = null

color to use when highlighting an area on a filled plot.

> $.jqplot.LineRenderer.prototype.setGridData = function( | plot | )

converts the user data values to grid coordinates and stores them in the gridData array.

> $.jqplot.LineRenderer.prototype.makeGridData = function( | data,
> | plot | )

converts any arbitrary data values to grid coordinates and returns them.
Close